Published on September 29, 2021 (Updated on January 18, 2022)

Block Split in Bedrock

Spliting blocks has been a dream of every redstoner, so now with the help of this addon you can easily achieve the behaviour whats called the block split in minecraft java edition.

Select version for changelog:

Changelog
  1. stable and beta links has been updated, and now should work fine
  2. Update code to log error for easy bug reports (in case get any)

Supported Minecraft versions

1
I think the manifest.json is the cause of the error its says"unknown pack" to me
1
I can't import it it says "failed to import not a valid zip archive" plz
1
Is it possible to make an addon that makes the item frames in bedrock edition act more like java's item frames, in that you can place multiple item frames in one spot? Im asking you cause you seem to know more about modifying the game than I do. Thanks,

- Doubtful
1
Please update for 1.19.2
1
👍 DJ-InDaBooth 👍 October 21, 2022 at 5:26 am
Replace World.events.beforePistonActivate.subscribe with World.events.beforePistonActivateEvent.subscribe
1
Maybe you could please update this to 1.18.31.
1
Hey! Your addon is awesome, and nice idea! But, I feel like the redstone community would love addon to use noteblocks with observers to make a output!
1
I think you should change the manifest.json.I think it is the reason why it is not working.
1
I always hoped to find such a mod because I love redstone, but the sticky stone hinders me.. I thank you from the bottom of my heart
1
It dont import because the file is empty please update it for latest version of minecraft
1
I can't import it, this error always appears

Unable to parse pack manifest with stack: * Line 27, Column 4
Missing ',' or '}' in object declaration
1
I have imported this file and it imported .I like this script because it fixes the problem of behaviour pack of mcpe and add the piston behavior of minecraft Java edition . If you add all behaviour pack of minecraft java edition one day mcpe will be same like minecraft java and we didn't need to buy it thanks for making this script I really need it .
1
Sorry, the Add-on still doesn't import despite the fact that you have "fixed" the issue. And yes, I did try to import the Add-on on the full release, and not beta.
What's going on???
1
well everyone seems to be using its just fine so definitely theres something wrong on ypur side you can contact on discord for better help
1
It successfully imported when it first released mcpedl.com. Now that I downloaded the updated version of this Add-on, it doesn't even wanna import.

Sigh...
1
can u add an addon that makes the containers cant be moved by slime blocks?
1
to be honest its possible, so i will try to create that
1
1
And now the Add-on just couldn't import whatsoever even though I used two different methods of importing it: One click import / Extraction and manual import.

I finally got Minecraft 1.18 and that's why I am posting this now.
1
Thanks for reporting!

tho the addon is designed to work with the beta releases but i will take lake a look and provide a link for stable version.
1
It had an error on 1.18.2 and the error with the v2.1 said (The property '/header/min_engine_version' has a version of '1.18.10' which is too high. The highest value we accept is '1.18.2'.)
1
Thanks for reporting!

tho the addon is designed to work with the beta releases but i will take lake a look and provide a link for stable version.